[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomListView.Repaint

Immediately redraws the control.

## Declaration

Source position: comctrls.pp line 1634

`public procedure TCustomListView.Repaint; override;`

## Description

Repaint is an overridden method in TCustomListView. It ensures that the data index for a list item is reset to -1 when the control is using OwnerDraw (or virtual) mode. Repaint calls the inherited method to request a repaint in the widgetset class instance when its handle has been allocated.

Repaint is used to implement the Refresh method for the control.

## See also

TCustomListView.OwnerData |  | Enables or disables owner data (virtual) mode for the list view control.
TWinControl.Repaint |  | Immediately redraws the control when visible, bypassing the message queue.
TControl.Refresh |  | Causes the control to be redrawn.